## org.h2.tools
Class ConvertTraceFile

    java.lang.Object
      org.h2.util.Tool
          org.h2.tools.ConvertTraceFile

    public class ConvertTraceFile

extends Tool

Converts a .trace.db file to a SQL script and Java source code.
SQL statement statistics are listed as well.

H2.resource:

Field Summary

Fields inherited from class org.h2.util.Tool
`out`

Constructor Summary
`ConvertTraceFile()`

Method Summary
`static void` `main(java.lang.String... args)` Options are case sensitive.
`void` `runTool(java.lang.String... args)` Run the tool with the given output stream and arguments.

Methods inherited from class org.h2.util.Tool
`isOption, printNoDatabaseFilesFound, setOut, showUsage, throwUnsupportedOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertTraceFile

    public ConvertTraceFile()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.sql.SQLException

  Options are case sensitive. Supported options are:

  [-help] or [-?] | Print the list of options
  [-traceFile <file>] | The trace file name (default: test.trace.db)
  [-script <file>] | The script file name (default: test.sql)
  [-javaClass <file>] | The Java directory and class file name (default: Test)

  Parameters:
    `args` - the command line arguments
  Throws:
    `java.sql.SQLException`
  H2.resource:

### runTool

    public void runTool(java.lang.String... args)
                 throws java.sql.SQLException

  Description copied from class: `Tool`
  Run the tool with the given output stream and arguments.

  Specified by:
    `runTool` in class `Tool`
  Parameters:
    `args` - the argument list
  Throws:
    `java.sql.SQLException`